ros-rolling-ament-cpplint (0.19.0-1noble) noble; urgency=high

  * Add ament_xmllint testing for all packages that we can. (#508 <https://github.com/ament/ament_lint/issues/508>)
  * Contributors: Chris Lalancette

 -- Chris Lalancette <clalancette@gmail.com>  Wed, 20 Nov 2024 00:00:00 -0000

ros-rolling-ament-cpplint (0.18.1-1noble) noble; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Mon, 17 Jun 2024 00:00:00 -0000

ros-rolling-ament-cpplint (0.18.0-1noble) noble; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Fri, 26 Apr 2024 00:00:00 -0000

ros-rolling-ament-cpplint (0.17.0-1noble) noble; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Tue, 16 Apr 2024 00:00:00 -0000

ros-rolling-ament-cpplint (0.16.4-1noble) noble; urgency=high

  * Update maintainer list in package.xml files (#474 <https://github.com/ament/ament_lint/issues/474>)
  * Contributors: Michael Jeronimo

 -- Chris Lalancette <clalancette@gmail.com>  Thu, 28 Mar 2024 00:00:00 -0000

ros-rolling-ament-cpplint (0.16.3-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Wed, 07 Feb 2024 00:00:00 -0000

ros-rolling-ament-cpplint (0.16.2-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 26 Dec 2023 00:00:00 -0000

ros-rolling-ament-cpplint (0.16.1-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 06 Nov 2023 00:00:00 -0000

ros-rolling-ament-cpplint (0.16.0-1noble) noble; urgency=high

  * Pass --output argument to cpplint (#453 <https://github.com/ament/ament_lint/issues/453>)
  * Contributors: Vladimir Ivan

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Wed, 04 Oct 2023 00:00:00 -0000

ros-rolling-ament-cpplint (0.15.2-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 11 Jul 2023 00:00:00 -0000

ros-rolling-ament-cpplint (0.15.1-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Wed, 07 Jun 2023 00:00:00 -0000

ros-rolling-ament-cpplint (0.15.0-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 27 Apr 2023 00:00:00 -0000

ros-rolling-ament-cpplint (0.14.1-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 11 Apr 2023 00:00:00 -0000

ros-rolling-ament-cpplint (0.14.0-1noble) noble; urgency=high

  * [rolling] Update maintainers - 2022-11-07 (#421 <https://github.com/ament/ament_lint/issues/421>)
  * Contributors: Audrow Nash

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 14 Feb 2023 00:00:00 -0000

ros-rolling-ament-cpplint (0.13.2-1noble) noble; urgency=high

  * [ament_cpplint] Process errors without linenums (#385 <https://github.com/ament/ament_lint/issues/385>)
  * Update maintainers (#379 <https://github.com/ament/ament_lint/issues/379>)
  * Contributors: Abrar Rahman Protyasha, methylDragon

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 13 Sep 2022 00:00:00 -0000

ros-rolling-ament-cpplint (0.13.1-1noble) noble; urgency=high

  * Consider files with '.hh' extension as C++ headers (#374 <https://github.com/ament/ament_lint/issues/374>)
  * Contributors: Jacob Perron

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 09 May 2022 00:00:00 -0000

ros-rolling-ament-cpplint (0.13.0-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Fri, 29 Apr 2022 00:00:00 -0000

ros-rolling-ament-cpplint (0.12.3-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Fri, 08 Apr 2022 00:00:00 -0000

ros-rolling-ament-cpplint (0.12.2-1noble) noble; urgency=high

  * ignore NOLINT comments with categories that come from clang-tidy (#339 <https://github.com/ament/ament_lint/issues/339>)
  * Contributors: William Woodall

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 28 Mar 2022 00:00:00 -0000

ros-rolling-ament-cpplint (0.12.1-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 01 Mar 2022 00:00:00 -0000

ros-rolling-ament-cpplint (0.12.0-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Fri, 18 Feb 2022 00:00:00 -0000

ros-rolling-ament-cpplint (0.11.4-1noble) noble; urgency=high

  * Update forthcoming version in changelogs
  * Reapply patches
    Reapply parts of 232428752251de61e84ef013bcd643e35eb9038d that are still relevant.
  * Update cpplint version
    Point to the fork https://github.com/cpplint/cpplint
    Contains updates for modern C++ standards (e.g. C++14 and C++17).
  * Contributors: Audrow Nash, Dirk Thomas, Jacob Perron

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Fri, 14 Jan 2022 00:00:00 -0000

ros-rolling-ament-cpplint (0.11.3-1noble) noble; urgency=high

  * Update maintainers to Michael Jeronimo and Michel Hidalgo (#340 <https://github.com/ament/ament_lint/issues/340>)
  * [ament_copyright] Fix file exclusion behavior (#327 <https://github.com/ament/ament_lint/issues/327>)
    * [ament_copyright] Fix file exclusion behavior
    This commit fixes the faulty file exclusion behavior reported in
    https://github.com/ament/ament_lint/issues/326.
    Specifically, the exclusion list is matched against traversed
    files in the crawler module.
    Changes inspired by https://github.com/ament/ament_lint/pull/299/.
    * Update excluded file path in copyright tests
    Since file names are not indiscriminately matched throughout the
    search tree anymore, the excluded files listed in the copyright
    tests need to be updated relative to the root of the package.
    * Add test cases to check exclusion behavior
    Specifically, these tests check for:
    - Incorrect exclusion of single filenames.
    - Correct exclusion of relatively/absolutely addressed filenames.
    - Correct exclusion of wildcarded paths.
    * Add unit tests for crawler module
    These unit tests make sure both search and exclusion behaviors are
    correctly demonstrated by the ament_copyright.crawler module.
  * Contributors: Abrar Rahman Protyasha, Audrow Nash

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Fri, 14 Jan 2022 00:00:00 -0000

ros-rolling-ament-cpplint (0.11.2-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Fri, 18 Jun 2021 00:00:00 -0000

ros-rolling-ament-cpplint (0.11.1-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Fri, 18 Jun 2021 00:00:00 -0000

ros-rolling-ament-cpplint (0.11.0-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Fri, 18 Jun 2021 00:00:00 -0000

ros-rolling-ament-cpplint (0.10.6-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 06 May 2021 00:00:00 -0000

ros-rolling-ament-cpplint (0.10.5-1noble) noble; urgency=high

  * Remove Claire as a maintainer. (#312 <https://github.com/ament/ament_lint/issues/312>)
    * Remove Claire as a maintainer.
    * Remove dead email addresses.
    * Remove more dead email addresses.
    * Switch setup.py maintainer to Audrow.
  * Contributors: Chris Lalancette

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Wed, 14 Apr 2021 00:00:00 -0000

ros-rolling-ament-cpplint (0.10.4-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 18 Mar 2021 00:00:00 -0000

ros-rolling-ament-cpplint (0.10.3-1noble) noble; urgency=high

  * 0.10.3
  * Fix file exclusion behavior in ament_cppcheck and ament_cpplint (#299 <https://github.com/ament/ament_lint/issues/299>)
    * fix exclude behavior in ament_cppcheck and ament_cpplint
    * fix flake8 errors
    * add missing realpath() conversion
  * Contributors: Audrow Nash, M. Mei

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Wed, 03 Mar 2021 00:00:00 -0000

ros-rolling-ament-cpplint (0.10.2-1noble) noble; urgency=high

  * Add Audrow as a maintainer (#294 <https://github.com/ament/ament_lint/issues/294>)
  * Drop trailing tab from package manifests (#291 <https://github.com/ament/ament_lint/issues/291>)
    Follow-up to 8bf194aa1ac282db5483dd0d3fefff8f325b0db8
  * Contributors: Audrow Nash, Scott K Logan

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Fri, 12 Feb 2021 00:00:00 -0000

ros-rolling-ament-cpplint (0.10.1-1noble) noble; urgency=high

  * Update maintainer (#274 <https://github.com/ament/ament_lint/issues/274>)
    * update maintainer
    * add authors
  * Contributors: Claire Wang

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 25 Jan 2021 00:00:00 -0000

ros-rolling-ament-cpplint (0.10.0-1noble) noble; urgency=high

  * Add pytest.ini so local tests don't display warning. (#259 <https://github.com/ament/ament_lint/issues/259>)
  * Contributors: Chris Lalancette

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Fri, 18 Sep 2020 00:00:00 -0000

ros-rolling-ament-cpplint (0.9.4-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 26 May 2020 00:00:00 -0000

ros-rolling-ament-cpplint (0.9.3-1noble) noble; urgency=high

  * Close source files after reading them (#249 <https://github.com/ament/ament_lint/issues/249>)
    Resolves the ResourceWarning messages coming to the console during
    testing with debug-enabled Python.
  * Contributors: Scott K Logan

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 18 May 2020 00:00:00 -0000

ros-rolling-ament-cpplint (0.9.2-1noble) noble; urgency=high

  * Allow AMENT_IGNORE markers to be directories (#232 <https://github.com/ament/ament_lint/issues/232>)
  * Contributors: Dan Rose

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Fri, 08 May 2020 00:00:00 -0000

ros-rolling-ament-cpplint (0.9.1-1noble) noble; urgency=high

  * 0.9.0
  * more verbose test_flake8 error messages (same as ros2/launch_ros#135 <https://github.com/ros2/launch_ros/issues/135>)
  * Generate xunit files valid for the junit10.xsd (#220 <https://github.com/ament/ament_lint/issues/220>)
  * remove status attribute from result XML (#212 <https://github.com/ament/ament_lint/issues/212>)
  * Contributors: Chris Lalancette, Dirk Thomas, Jose Luis Rivero

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Fri, 10 Apr 2020 00:00:00 -0000

ros-rolling-ament-cpplint (0.8.1-1noble) noble; urgency=high

  * install resource marker file for packages (#193 <https://github.com/ament/ament_lint/issues/193>)
  * Contributors: Dirk Thomas

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Wed, 23 Oct 2019 00:00:00 -0000

ros-rolling-ament-cpplint (0.8.0-1noble) noble; urgency=high

  * install manifest files in Python packages (#185 <https://github.com/ament/ament_lint/issues/185>)
  * Convert list comprehension to generator (#179 <https://github.com/ament/ament_lint/issues/179>)
    Addresses flake8 C412 errors introduced by flake8-comprehension 2.2.0
  * Contributors: Dirk Thomas, Scott K Logan

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 17 Sep 2019 00:00:00 -0000

ros-rolling-ament-cpplint (0.7.4-1noble) noble; urgency=high

  * Escape backslashes in cpplint.py
    This gets rid of DeprecationWarning on Windows.
  * Contributors: Chris Lalancette

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Wed, 31 Jul 2019 00:00:00 -0000

ros-rolling-ament-cpplint (0.7.3-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 09 May 2019 14:08:00 -0000

ros-rolling-ament-cpplint (0.7.2-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 09 May 2019 09:30:00 -0000

ros-rolling-ament-cpplint (0.7.1-1noble) noble; urgency=high

  * update phrase of status messages (#137 <https://github.com/ament/ament_lint/issues/137>)
  * Contributors: Dirk Thomas

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 07 May 2019 00:00:00 -0000

ros-rolling-ament-cpplint (0.7.0-1noble) noble; urgency=high

  * fix sorting of keys in same cases (#127 <https://github.com/ament/ament_lint/issues/127>)
  * Contributors: Dirk Thomas

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 11 Apr 2019 00:00:00 -0000

ros-rolling-ament-cpplint (0.6.3-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 14 Jan 2019 00:00:00 -0000

ros-rolling-ament-cpplint (0.6.2-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 06 Dec 2018 00:00:00 -0000

ros-rolling-ament-cpplint (0.6.1-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 15 Nov 2018 00:00:00 -0000

ros-rolling-ament-cpplint (0.6.0-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Wed, 14 Nov 2018 00:00:00 -0000

ros-rolling-ament-cpplint (0.5.2-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Wed, 27 Jun 2018 00:00:00 -0000

ros-rolling-ament-cpplint (0.5.1-1noble) noble; urgency=high

  * level setup.py versions to 0.5.1
  * Contributors: Mikael Arguedas

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 18 Jun 2018 13:47:00 -0000

ros-rolling-ament-cpplint (0.5.0-1noble) noble; urgency=high

  * add pytest markers to linter tests
  * set zip_safe to avoid warning during installation (#96 <https://github.com/ament/ament_lint/issues/96>)
  * fix root logic of cpplint (#94 <https://github.com/ament/ament_lint/issues/94>)
  * Contributors: Dirk Thomas

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 18 Jun 2018 10:09:00 -0000

ros-rolling-ament-cpplint (0.4.0-1noble) noble; urgency=high

  * remove test_suite, add pytest as test_requires
  * add filters argument to cpplint (#87 <https://github.com/ament/ament_lint/issues/87>)
    * add filters argument to cpplint
    * full ellipsis
    * string -> strings
  * 0.0.3
  * Merge pull request #84 <https://github.com/ament/ament_lint/issues/84> from ament/flake8_plugins
    update style to satisfy new flake8 plugins
  * update style to satisfy new flake8 plugins
  * Merge pull request #81 <https://github.com/ament/ament_lint/issues/81> from ament/ignore_build_spaces
    ignore folders with an AMENT_IGNORE file, e.g. build spaces
  * ignore folders with an AMENT_IGNORE file, e.g. build spaces
  * 0.0.2
  * Merge pull request #78 <https://github.com/ament/ament_lint/issues/78> from ament/use_flake8
    use flake8 instead of pep8 and pyflakes
  * fix style warnings
  * use flake8 instead of pep8 and pyflakes
  * cpplint: allow using-directive for a whitelist of namespaces (#67 <https://github.com/ament/ament_lint/issues/67>)
    This will permit the use of std::chrono and other useful new literals in C++14, which are most conveniently brought in via "using namespace"
  * remove __future__ imports
  * Merge pull request #59 <https://github.com/ament/ament_lint/issues/59> from ament/update_cpplint
    update cpplint
  * reapply patches
  * use new --headers option
  * pull new version from upstream
  * update schema url
  * add schema to manifest files
  * Merge pull request #54 <https://github.com/ament/ament_lint/issues/54> from ament/update_cpplint
    update cpplint
  * find deepest vcs path instead of most top level
  * update to latest upstream version of cpplint
  * Merge pull request #52 <https://github.com/ament/ament_lint/issues/52> from ament/lint_generated_code
    fix handling of --root
  * fix handling of --root
  * Merge pull request #46 <https://github.com/ament/ament_lint/issues/46> from ament/fix_cpplint_root
    fix algo to determine --root for cpplint
  * fix algo to determine --root for cpplint
  * Merge pull request #43 <https://github.com/ament/ament_lint/issues/43> from ament/ignore_space_after_semicolon
    ignore space after a semi colon
  * also advice cpplint to ignore whitespace after semicolon
  * Merge pull request #42 <https://github.com/ament/ament_lint/issues/42> from ament/remove_second_extension
    remove result type extension from testsuite name
  * remove result type extension from testsuite name
  * Merge pull request #40 <https://github.com/ament/ament_lint/issues/40> from ament/cpplint_root
    add --root option to ament_cpplint
  * add --root option to ament_cpplint
  * Merge pull request #39 <https://github.com/ament/ament_lint/issues/39> from ament/cpplint_python3
    use Python 3 for cpplint and split into Python and CMake package
  * fix matching root on Windows
  * refactor ament_cpplint into Python and CMake package
  * modify cpplint to work with Python 3
  * Merge pull request #37 <https://github.com/ament/ament_lint/issues/37> from ament/patches
    enforce single line comments for closing namespaces
  * fix infinite loop
  * only allow single line comments for closing namespaces
  * Merge pull request #35 <https://github.com/ament/ament_lint/issues/35> from ament/cpplint-int
    Reenable int/long check
  * Reenable int/long check
  * Merge pull request #33 <https://github.com/ament/ament_lint/issues/33> from ament/disable_cpplint_runtime_int
    ignore cpplint runtime/int error
  * ignore cpplint runtime/int error
  * Merge pull request #32 <https://github.com/ament/ament_lint/issues/32> from ament/cpplint_c_style_casts
    allow C-style casts in c code
  * allow C-style casts in c code
  * workaround to check guard variable for all header files
  * Merge pull request #31 <https://github.com/ament/ament_lint/issues/31> from ament/config_cpplint
    update cpplint configuration
  * fix --root for files which are directly in the include/src/test folder
  * update cpplint options and implement custom include guard pattern
  * update url for cpplint
  * Merge pull request #30 <https://github.com/ament/ament_lint/issues/30> from ament/test_labels
    add labels to tests
  * add labels to tests
  * Merge pull request #29 <https://github.com/ament/ament_lint/issues/29> from ament/change_test_dependencies
    update documentation for linters
  * update documentation for linters
  * Merge pull request #27 <https://github.com/ament/ament_lint/issues/27> from ament/gtest_location
    add type as extension to test result files
  * add type as extension to test result files
  * add explicit build type
  * Merge pull request #19 <https://github.com/ament/ament_lint/issues/19> from ament/split_linter_packages_in_python_and_cmake
    split linter packages in python and cmake
  * move cmake part of ament_pyflakes to ament_cmake_pyflakes
  * move cmake part of ament_pep8 to ament_cmake_pep8
  * move cmake part of ament_lint_cmake to ament_cmake_lint_cmake
  * disable debug output
  * add trailing newline to generated test result files
  * add missing copyright / license information
  * Merge pull request #14 <https://github.com/ament/ament_lint/issues/14> from ament/test_runner_windows
    change test runner to work on windows
  * change test runner to work on windows
  * Merge pull request #9 <https://github.com/ament/ament_lint/issues/9> from ament/docs
    add docs for linters
  * add docs for linters
  * modify generated unit test files for a better hierarchy in Jenkins
  * make testname argument optional for all linters
  * use other linters for the linter packages where possible
  * update cpplint to rev 141
  * Merge pull request #2 <https://github.com/ament/ament_lint/issues/2> from ament/ament_lint_auto
    allow linting based on test dependencies only
  * add ament_lint_auto and ament_lint_common, update all linter packages to implement extension point of ament_lint_auto
  * use project(.. NONE)
  * update to latest refactoring of ament_cmake
  * add dependency on ament_cmake_environment
  * add ament_pyflakes
  * add ament_lint_cmake
  * add ament_cpplint
  * Contributors: Dirk Thomas, Esteve Fernandez, Guillaume Papin, William Woodall

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Fri, 08 Dec 2017 00:00:00 -0000


